Need FCP 5.1.2, not FCP 6

Discussion in 'Digital Video' started by bigya, Jul 14, 2007.

  1. bigya macrumors newbie

    Joined:
    Jul 14, 2007
    #1
    i have FCP 5.0.4, and need at least 5.1.2 to run the XDCam transfer software, and don't want to go to FCP 6 yet as i've heard there are still several bugs. i can't get 5.1.2 from the Apple site, and apparently i missed their announcement of the free upgrade to it many months ago...so anyway, do any of you know how i can upgrade to 5.1.2???

    thanks...
     
  2. P-Worm macrumors 68020

    P-Worm

    Joined:
    Jul 16, 2002
    Location:
    Salt Lake City, UT
    #2
    Sorry to say, but you may be out of luck. The jump from 5.0 to 5.1 was a pretty big one. Just out of curiosity, what bugs are you talking about?

    P-Worm
     
  3. -DH macrumors 65816

    Joined:
    Nov 28, 2006
    Location:
    Nashville Tennessee
    #3
    FWIW, the 5.1 upgrade wasn't ever a free deal or one that was even available as a download. You had to send in your old install discs along with your payment and in return, they sent you the 5.1 install discs. Apple referred to it as a "Universal Crossgrade." It did fix some issues with FCP 5.0 but more importantly, it allowed IntelMac users to run an Intel native version of FCP.

    The cost for the crossgrade ranged from $49.00 for Final Cut Studio users, to $99.00 to FCP 5 users, to $199.00 for users of older FCP versions.

    -DH
     

Share This Page